/****************************************************************************
 * 계정정보 조회
 ****************************************************************************/
function fn_selectUserAccountJson(){
    let formData = new FormData();
    $.ajax({
        url: encodeURI('/mobileuser/selectUserAccount.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0'==data.msgCode){
                if(0<data.rows.length){
                    const accountData = data.rows[0];
                    $("#membershipAccount").text(accountData.membershipAccount||'');
                    $("#loginType").text(accountData.loginType);
                    $("#phoneNumber").text(accountData.phoneNumber||'');
                    $("#email").text(accountData.email||'');
                    $("#introUserName").text(accountData.introUserName||'');
                }else{
                    modalEvent.warning("조회 오류", data.msgDesc);
                }

            } else if (data.msgCode == '-1') {
                modalEvent.warning("조회 오류", data.msgDesc);
            } else {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error: function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}

/****************************************************************************
 * 회원탈퇴
 ****************************************************************************/
function fn_deleteUser(){
    modalEvent.info("삭제", "앱 탈퇴를 진행하시겠습니까?", function(){
        let formData = new FormData();
        $.ajax({
            url: encodeURI('/mobilelogin/deleteUser.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    modalEvent.success("성공", "탈퇴가 완료되었습니다.", function(){
                        location.href = "/mobilelogin/logout.do"
                    });
                }
                else{
                    modalEvent.danger("등록 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("등록 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    });
}

/****************************************************************************
 * 비밀번호 변경 모달
 ****************************************************************************/
function fn_updatePasswordModal(){
    let param = {};
    updatePasswordModal.popup(function(obj, reqParam) {
        fn_selectUserAccountJson();
    }, param);
}

/****************************************************************************
 * 이메일 변경 모달
 ****************************************************************************/
function fn_updateEmailModal(){
    let param = {};
    updateEmailModal.popup(function(obj, reqParam) {
        fn_selectUserAccountJson();
    }, param);
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){

    //계정정보 조회
    fn_selectUserAccountJson();
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){

    $('#mmDatepicker').on('dp.change', function(){
        fn_membershipChargeSearch();
    });

    $(".button_box button").on('click', function(){
        $(".button_box .on").removeClass('on');
        $(this).addClass('on');
        fn_membershipChargeSearch();
    });
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});